Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui
Class LanguageDialog.Panel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.apache.batik.util.gui.LanguageDialog.Panel

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, ActionMap

Enclosing class:
  LanguageDialog

    public static class LanguageDialog.Panel

extends JPanel
implements ActionMap

The language selection panel.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `LanguageDialog.Panel.AddLanguageButtonAction` The action associated with the 'add' button
`protected class` | `LanguageDialog.Panel.ClearLanguageButtonAction` The action associated with the 'clear' button
`protected class` | `LanguageDialog.Panel.DownLanguageButtonAction` The action associated with the 'down' button
`protected class` | `LanguageDialog.Panel.IconAndTextCellRenderer` To display icons and text in the lists.
`protected class` | `LanguageDialog.Panel.LanguageListSelectionListener` To manage selection modifications
`protected class` | `LanguageDialog.Panel.RemoveLanguageButtonAction` The action associated with the 'remove' button
`protected class` | `LanguageDialog.Panel.UpLanguageButtonAction` The action associated with the 'up' button
`protected class` | `LanguageDialog.Panel.UserListSelectionListener` To manage selection modifications

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected JButton` | `addLanguageButton` The AddLanguageButton.
`protected JButton` | `clearLanguageButton` The ClearLanguageButton.
`protected JButton` | `downLanguageButton` The DownLanguageButton.
`protected JList` | `languageList` The languages list
`protected DefaultListModel` | `languageListModel` The language list model
`protected Map` | `listeners` The map that contains the listeners
`protected JButton` | `removeLanguageButton` The RemoveLanguageButton.
`protected JButton` | `upLanguageButton` The UpLanguageButton.
`protected JList` | `userList` The user languages list
`protected DefaultListModel` | `userListModel` The user list model

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`LanguageDialog.Panel()` Creates a new Panel object.

Method Summary
`Action` | `getAction(String key)` Returns the action associated with the given string or null on error
`protected Icon` | `getCountryIcon(String code)` returns the icon associated with a country code.
`protected String` | `getCountryText(String code)` returns the full string associated with a country code.
`String` | `getLanguages()` Returns the selected user languages.
`static void` | `initCountryIcons()` Allows to pre-initialize icons used by the `Panel` constructor.
`void` | `setLanguages(String str)` Sets the user languages.
`protected void` | `updateButtons()` Updates the state of the buttons

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userList

    protected JList userList

  The user languages list

### languageList

    protected JList languageList

  The languages list

### userListModel

    protected DefaultListModel userListModel

  The user list model

### languageListModel

    protected DefaultListModel languageListModel

  The language list model

### addLanguageButton

    protected JButton addLanguageButton

  The AddLanguageButton.

### removeLanguageButton

    protected JButton removeLanguageButton

  The RemoveLanguageButton.

### upLanguageButton

    protected JButton upLanguageButton

  The UpLanguageButton.

### downLanguageButton

    protected JButton downLanguageButton

  The DownLanguageButton.

### clearLanguageButton

    protected JButton clearLanguageButton

  The ClearLanguageButton.

### listeners

    protected Map listeners

  The map that contains the listeners

Constructor Detail

### LanguageDialog.Panel

    public LanguageDialog.Panel()

  Creates a new Panel object.

Method Detail

### initCountryIcons

    public static void initCountryIcons()

  Allows to pre-initialize icons used by the `Panel` constructor. It is not neccessary to call it and it should be called only once. This method is safe to be called by another thread than the event thread as it doesn't manipulate Swing `JComponent` instances.

### getLanguages

    public String getLanguages()

  Returns the selected user languages.

### setLanguages

    public void setLanguages(String str)

  Sets the user languages.

### updateButtons

    protected void updateButtons()

  Updates the state of the buttons

### getCountryText

    protected String getCountryText(String code)

  returns the full string associated with a country code.

### getCountryIcon

    protected Icon getCountryIcon(String code)

  returns the icon associated with a country code.

### getAction

    public Action getAction(String key)
                     throws MissingListenerException

  Returns the action associated with the given string or null on error

  Specified by:
    `getAction` in interface `ActionMap`
  Parameters:
    `key` - the key mapped with the action to get
  Throws:
    `MissingListenerException` - if the action is not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.